## snapd-glib 1.58

=== meson_options.txt ===
option('introspection',
       type: 'boolean', value: true,
       description: 'Build the introspection data (requires gobject-introspection)')
option('docs',
       type: 'boolean', value: true,
       description: 'Build the API reference (requires gtk-doc)')
option('vala-bindings',
       type: 'boolean', value: true,
       description: 'Build the Vala bindings (requires introspection)')
option('qt-bindings',
       type: 'boolean', value: true,
       description: 'Build the Qt bindings')
option('qml-bindings',
       type: 'boolean', value: true,
       description: 'Build the QML bindings (requires the Qt bindings)')

## snapd-glib 0.8

=== debian/changelog ===
snapd-glib (0.8-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Store auth data inside SnapdClient (API and ABI break)
    - Return suggested currency in find request (API and ABI break)
    - Only call progress callback if something changes
  * debian/libsnapd-glib0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 26 Aug 2016 10:27:02 +1200

snapd-glib (0.7-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Return error codes when icons fail to download
    - Fix sync methods not working inside async callbacks
    - Use GDateTime for date/time values returned by snapd
  * debian/libsnapd-glib0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 25 Aug 2016 16:32:09 +1200

snapd-glib (0.6-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Fix memory ownership for returned results from list/find
    - Add missing docstrings
    - Fix small memory leaks

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 22 Aug 2016 21:55:22 +1200

snapd-glib (0.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Add copyright headers
    - Mark authentication parameters optional
  * debian/copyright:
    - Update copyright information

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 22 Aug 2016 21:07:59 +1200

snapd-glib (0.4-0ubuntu1) yakkety; urgency=medium

  * Initial release.

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 19 Aug 2016 14:08:00 +1200

=== debian/control ===
Source: snapd-glib
Section: libs
Priority: optional
Maintainer: Robert Ancell <robert.ancell@canonical.com>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gnome-common,
               gobject-introspection,
               intltool (>= 0.35.0),
               libglib2.0-dev
Homepage: https://launchpad.net/snapd-glib

Package: libsnapd-glib0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: snapd
Description: GLib snapd library
 Snapd-Glib is a library for accessing the snapd daemon.

Package: gir1.2-snapd-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libsnapd-glib0 (= ${binary:Version})
Description: Typelib file for libsnapd-glib0
 Snapd-Glib is a library for accessing the snapd daemon.

Package: libsnapd-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libsnapd-glib0 (= ${binary:Version}),
         libglib2.0-dev,
         libsoup2.4-dev,
         libjson-glib-dev
Description: GLib snapd library (development files)
 Snapd-Glib is a library for accessing the snapd daemon.
 .
 This package contains header files and development information, which
 is useful for building applications that need to communicate with snapd.

=== debian/rules ===
#!/usr/bin/make -f 

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --with autoreconf

## snapd-glib 0.10

=== debian/changelog ===
snapd-glib (0.10-0ubuntu2) yakkety; urgency=medium

  * debian/control:
    - Replace gobject-introspection build dependency with
      libgirepository1.0-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 31 Aug 2016 11:20:29 +1200

snapd-glib (0.10-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    [ 0.9 ]
    - Rename SnapdClientError to SnapdError (API and ABI break)
    - Add a D-Bus service to allow login without root permissions
    - Add asserts to check we are connected before making requests
    [ 0.10 ]
    - Fix snapd-login-service D-Bus configuration
    - Improve documentation about root requirements for snapd_client_login
    - Distribute license files
    - Fix compiler warning
  * debian/control:
    - Add snapd-login-service package
    - Add build-depends on libjson-glib-dev, libpolkit-gobject-1-dev,
      libsoup2.4-dev, valac
    - Add Vcs-Bzr link
  * debian/snapd-login-service.install:
    - Add snapd-login-service package
  * debian/libsnapd-glib0.symbols:
    - Updated
  * debian/copyright:
    - Update to latest format
  * debian/rules:
    - Drop unnecessary LDFLAGS
    - Set libexec dir so not multi-arched

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 31 Aug 2016 10:51:16 +1200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,15 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                gnome-common,
-               gobject-introspection,
                intltool (>= 0.35.0),
-               libglib2.0-dev
+               libgirepository1.0-dev,
+               libglib2.0-dev,
+               libjson-glib-dev,
+               libpolkit-gobject-1-dev,
+               libsoup2.4-dev,
+               valac
 Homepage: https://launchpad.net/snapd-glib
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/snapd-glib/ubuntu
 
 Package: libsnapd-glib0
 Architecture: any
@@ -42,3 +47,13 @@
  .
  This package contains header files and development information, which
  is useful for building applications that need to communicate with snapd.
+
+Package: snapd-login-service
+Section: admin
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: policykit-1
+Description: Daemon to allow non-root access to snapd
+ Snapd Login Service is a daemon that allows users to request authorization from
+ snapd. It uses Polkit to check for permissions.

## snapd-glib 0.11

=== debian/changelog ===
snapd-glib (0.11-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Use doubles for price amounts (API and ABI break)
    - Make Polkit policy translatable
    - Fix errors not being correct on first use of snapd_login 

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 01 Sep 2016 17:00:39 +1200

=== debian/rules ===
#!/usr/bin/make -f 

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libexec=/usr/lib/snapd-glib

## snapd-glib 0.13

=== debian/changelog ===
snapd-glib (0.13-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    [ 0.12 ]
    - Rename error codes for consistency (API and ABI break)
    - Generate documentation using GTK-Doc
    [ 0.13 ]
    - Make snapd_client_login() consistent with snapd_login() (API and ABI
      break)
    - Complete documentation on all functions / types (fixes make check)
    - Disable buy support for now - it is being redesigned in snapd.
  * debian/control:
  * debian/rules:  
  * debian/libsnapd-glib-dev.install:
    - Build documentation

 -- Robert Ancell <robert.ancell@canonical.com>  Sun, 04 Sep 2016 22:20:18 +1200

## snapd-glib 0.14

=== debian/changelog ===
snapd-glib (0.14-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Fix header guards in snapd-login.h which stopped it being included  

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 05 Sep 2016 15:44:20 +1200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                gnome-common,
+               gtk-doc-tools,
                intltool (>= 0.35.0),
                libgirepository1.0-dev,
                libglib2.0-dev,

=== debian/rules ===
#!/usr/bin/make -f 

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libexec=/usr/lib/snapd-glib --enable-gtk-doc

=== debian/watch ===
version=3
https://launchpad.net/snapd-glib/+download .*/snapd-glib-([0-9.]+)\.tar\.xz

## snapd-glib 1.2

=== debian/changelog ===
snapd-glib (1.2-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release:
    * Use so version 1 now this is stable (should have been done at 1.0 release)
  * debian/control:
  * debian/gir1.2-snapd-1.install:
  * debian/libsnapd-glib1.install:
  * debian/libsnapd-glib1.symbols:
    - Update for new soname

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 13 Oct 2016 16:31:07 +1300

snapd-glib (1.1-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release:
    [ 1.0 ]
    - Add support for screenshots
    - Throw exception if not connected instead of using assert
    - Be more paranoid about invalid SnapdAuthData
    - Add an autogen.sh
    - Tidy up configure summary
    [ 1.1 ]
    - Fix screenshot documentation not being used
  * debian/libsnapd-glib0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 13 Oct 2016 15:50:36 +1300

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Homepage: https://launchpad.net/snapd-glib
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/snapd-glib/ubuntu
 
-Package: libsnapd-glib0
+Package: libsnapd-glib1
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -26,12 +26,12 @@
 Description: GLib snapd library
  Snapd-Glib is a library for accessing the snapd daemon.
 
-Package: gir1.2-snapd-0
+Package: gir1.2-snapd-1
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libsnapd-glib0 (= ${binary:Version})
-Description: Typelib file for libsnapd-glib0
+         libsnapd-glib1 (= ${binary:Version})
+Description: Typelib file for libsnapd-glib1
  Snapd-Glib is a library for accessing the snapd daemon.
 
 Package: libsnapd-glib-dev
@@ -39,7 +39,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libsnapd-glib0 (= ${binary:Version}),
+         libsnapd-glib1 (= ${binary:Version}),
          libglib2.0-dev,
          libsoup2.4-dev,
          libjson-glib-dev

## snapd-glib 1.9

=== debian/changelog ===
snapd-glib (1.9-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - New API:
      - snapd_app_get_daemon_type
      - snapd_client_install_stream_async
      - snapd_client_install_stream_finish
      - snapd_client_install_stream_sync
      - snapd_client_try_async
      - snapd_client_try_finish
      - snapd_client_try_sync
    - Fix iterator double use parsing of apps/aliases
    - Fix Qt tests not linking against local snapd-glib
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 24 Mar 2017 15:22:26 +1300

snapd-glib (1.8-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - New API:
      - snapd_client_get_assertions_async
      - snapd_client_get_assertions_finish
      - snapd_client_get_assertions_sync
      - snapd_client_add_assertions_async
      - snapd_client_add_assertions_finish
      - snapd_client_add_assertions_sync
      - snapd_client_get_aliases_async
      - snapd_client_get_aliases_finish
      - snapd_client_get_aliases_sync
      - snapd_client_enable_aliases_async
      - snapd_client_enable_aliases_finish
      - snapd_client_enable_aliases_sync
      - snapd_client_disable_aliases_async
      - snapd_client_disable_aliases_finish
      - snapd_client_disable_aliases_sync
      - snapd_client_reset_aliases_async
      - snapd_client_reset_aliases_finish
      - snapd_client_reset_aliases_sync
      - snapd_client_run_snapctl_async
      - snapd_client_run_snapctl_finish
      - snapd_client_run_snapctl_sync
      - snapd_snap_get_jailmode
    - Add snapd-qt regression tests.
    - Add missing snapd-qt API
    - Fix memory leaks in snapd-qt
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 22 Mar 2017 17:13:20 +1300

snapd-glib (1.7-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - New API:
      - snapd_app_get_aliases
      - snapd_client_get_sections_sync
      - snapd_client_get_sections_async
      - snapd_client_get_sections_finish
      - snapd_snap_get_tracking_channel
      - snapd_system_information_get_managed
      - snapd_system_information_get_store
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 10 Feb 2017 11:24:24 +1300

snapd-glib (1.6-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Fix screenshots not working on 32 bit architectures
  * debian/patches/screenshot-fix.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 26 Jan 2017 17:11:13 +1300

snapd-glib (1.5-0ubuntu3) zesty; urgency=medium

  * debian/patches/series:
    - Add missing series file

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 26 Jan 2017 16:58:09 +1300

snapd-glib (1.5-0ubuntu2) zesty; urgency=medium

  * debian/patches/screenshot-fix.patch:
    - Fix screenshots decoding not working in 32 bit architecures
  * debian/libsnapd-qt1.symbols:
    - Make non-public symbols optional for architectures that don't generate
      them.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 26 Jan 2017 16:41:31 +1300

snapd-glib (1.5-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Add new API: snapd_client_refresh_all, snapd_client_find_refreshable.
    - Use new objects for progress callbacks - API break, ABI will continue to
      work.
    - Add Qt/QML bindings.
    - Add new errors reported by snapd.
    - Fix payment errors being detected.
    - Close socket on unref.
    - Fix small memory leaks.
    - Add regression tests.
  * debian/control:
  * debian/libsnapd-qt1.install:
  * debian/libsnapd-qt1.symbols:
  * debian/qml-module-snapd.install:
  * debian/libsnapd-qt-dev.install:
  * debian/libsnapd-glib1.install:
  * debian/libsnapd-glib-dev.install:
    - Add new packages libsnapd-qt1, qml-module-snapd, libsnapd-qt-dev
    - Add build-depends on qtbase5-dev, qtdeclarative5-dev
  * debian/libsnapd-glib1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 26 Jan 2017 09:01:05 +1300

snapd-glib (1.4-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Fix crash in snapd-login-service when snapd stops (LP: #1646784)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 06 Dec 2016 15:50:17 +1300

snapd-glib (1.3-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Use new payment API (now stable).
    - Add API to get plug/slot attributes.
    - Add API for create user API.
    - Add async version of snapd_client_connect_sync().
    - Fix crash when fail to connect to snapd.
    - Don't fail assertion if attempt to connect while already connected.
    - Fix transfer notation on GDateTime objects.
    - Fix build not regenerating .vapi.
    - Small documentation fixes.
    - Fix small memory leak.
  * debian/libsnapd-glib1.symbols:
    - Updated (removed symbols were from disabled payment API)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 14 Nov 2016 16:26:23 +1300

snapd-glib (1.2-0ubuntu2) zesty; urgency=medium

  * debian/control:
    - let libsnapd-glib1 recommends snapd-login-service, without the 
      service installed the snap interactions are not working (lp: #1635270)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Oct 2016 16:31:17 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
                libjson-glib-dev,
                libpolkit-gobject-1-dev,
                libsoup2.4-dev,
+               qtbase5-dev,
+               qtdeclarative5-dev,
                valac
 Homepage: https://launchpad.net/snapd-glib
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/snapd-glib/ubuntu
@@ -22,7 +24,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: snapd
+Recommends: snapd,
+            snapd-login-service,
 Description: GLib snapd library
  Snapd-Glib is a library for accessing the snapd daemon.
 
@@ -49,6 +52,38 @@
  This package contains header files and development information, which
  is useful for building applications that need to communicate with snapd.
 
+Package: libsnapd-qt1
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: snapd,
+            snapd-login-service,
+Description: Qt snapd library
+ Snapd-Qt is a library for accessing the snapd daemon.
+
+Package: qml-module-snapd
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: snapd,
+            snapd-login-service,
+Description: Snapd QML module
+ A QML module for applications to access Snapd
+
+Package: libsnapd-qt-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libsnapd-qt1 (= ${binary:Version}),
+         qtbase5-dev,
+Description: Qt snapd library (development files)
+ Snapd-Qt is a library for accessing the snapd daemon.
+ .
+ This package contains header files and development information, which
+ is useful for building applications that need to communicate with snapd.
+
 Package: snapd-login-service
 Section: admin
 Architecture: any

## snapd-glib 1.13

=== debian/changelog ===
snapd-glib (1.13-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release: (LP: #1699005)
    - New API:
      - snapd_client_install2_async
      - snapd_client_install2_finish
      - snapd_client_install2_sync
      - snapd_snap_get_contact
      - snapd_system_information_get_binaries_directory
      - snapd_system_information_get_kernel_version
      - snapd_system_information_get_mount_directory
    - Deprecated API:
      - snapd_client_install_async
      - snapd_client_install_finish
      - snapd_client_install_sync
    - Fix calls not working inside threads.
    - Fix reference counting error when calling snapd_client_get_interfaces and
      snapd_client_create_user.
  * debian/control:
    - Set minimum dependency versions
    - Update Vcs-Bzr
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 20 Jun 2017 15:42:33 +1200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                gnome-common,
-               gtk-doc-tools,
+               gtk-doc-tools (>= 1.20),
                intltool (>= 0.35.0),
                libgirepository1.0-dev,
-               libglib2.0-dev,
-               libjson-glib-dev,
+               libglib2.0-dev (>= 2.46),
+               libjson-glib-dev (>= 1.2),
                libpolkit-gobject-1-dev,
-               libsoup2.4-dev,
+               libsoup2.4-dev (>= 2.32),
                qtbase5-dev,
                qtdeclarative5-dev,
                valac
 Homepage: https://launchpad.net/snapd-glib
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/snapd-glib/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/snapd-glib/ubuntu-zesty
 
 Package: libsnapd-glib1
 Architecture: any

## snapd-glib 1.23

=== debian/changelog ===
snapd-glib (1.23-0ubuntu1) artful; urgency=medium

  * New upstream release:
    [ 1.23 ]
    - Fix snapd-login-service crash (LP: #1714486)
    - Improve failure handling when snapd socket read/writes fail
    [ 1.22 ]
    - Make QML module depend on snapd-qt being compiled first
    - Fix compile warning
    [ 1.21 ]
    - Fix MOC detection in Fedora
    - Handle Qt configure failures
    [ 1.20 ]
    - Stop distributing generated files

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 15 Sep 2017 14:15:28 +1200

snapd-glib (1.19-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - New API:
      - snapd_client_get_allow_interaction
      - snapd_client_set_allow_interaction
      - snapd_snap_get_license
    - Add mutex in request queue
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 05 Sep 2017 10:16:48 +1200

snapd-glib (1.18-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - Ensure socket reads never block

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 29 Aug 2017 16:59:27 +1200

snapd-glib (1.17-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - Fix issues when accessing snapd-glib from threads.
    - snapd-qt: Emit the complete signal when requests are cancelled.
    - Reduce snapd-glib dependency to 1.1.2.
    - Documentation updates.
    - Test improvements.
  * debian/libsnapd-qt1.symbols:
    - Ignore private Qt symbols

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 28 Aug 2017 17:18:38 +1200

snapd-glib (1.16-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - Bring introspection and vapigen m4 macros into the source so can build
      without them installed.
    - Fix snapd-qt build failure due to conflict of 'signals' variable with
      GDBus.
    - Set a user agent when sending requests to snapd-glib
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated
  * debian/watch:
    - Use new github location for downloads

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 17 Jul 2017 12:22:35 +1200

snapd-glib (1.15-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - Marked snapd_system_information_get_confinement as stable
    - Correctly stop requests if cancelled  

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 07 Jul 2017 11:29:07 +1200

snapd-glib (1.14-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - New API:
      - snapd_app_get_desktop_file
      - snapd_snap_get_title
      - snapd_system_information_get_confinement (unstable)
    - Don't timeout waiting for snapd
    - Add version defines so can do conditional compilation on new features
    - Fix compilation with PolKit >= 0.114
    - Fix snapd-qt compilation in clang
    - Fix snapd-qt compilation on systems that use different versions of MOC
    - snapd-qt improvements to better match best practise
    - Include enum headers in snapd-glib.h
    - Fix compile warnings using clang
    - Documentation improvements
  * debian/control:
    - Use standards version 4.0.0
    - Fix GIR section and dependencies
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 06 Jul 2017 16:04:55 +1200

snapd-glib (1.13-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - New API:
      - snapd_snap_get_contact
    - Check minimum versions of dependencies
    - Fix swapped variable names in snapd_client_find_section header proptotype.
  * debian/control:
    - Set minimum dependency versions
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 20 Jun 2017 15:28:26 +1200

snapd-glib (1.12-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - New API:
      - snapd_client_install2_async
      - snapd_client_install2_finish
      - snapd_client_install2_sync
    - Deprecated API:
      - snapd_client_install_async
      - snapd_client_install_finish
      - snapd_client_install_sync
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 15 May 2017 14:36:31 +1200

snapd-glib (1.11-0ubuntu1) artful; urgency=medium

  * New upstream release:
    [ 1.10 ]
    - Remove gettext-domain from Polkit files - this is an Ubuntu extension that
      doesn't work elsewhere.
    [ 1.11 ]
    - New API:
      - snapd_system_information_get_binaries_directory
      - snapd_system_information_get_kernel_version
      - snapd_system_information_get_mount_directory
    - Fix calls not working inside threads.
    - Fix reference counting error when calling snapd_client_get_interfaces and
      snapd_client_create_user.
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 04 May 2017 12:37:11 +1200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Robert Ancell <robert.ancell@canonical.com>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                gnome-common,
@@ -17,7 +17,7 @@
                qtdeclarative5-dev,
                valac
 Homepage: https://launchpad.net/snapd-glib
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/snapd-glib/ubuntu-zesty
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/snapd-glib/ubuntu
 
 Package: libsnapd-glib1
 Architecture: any
@@ -30,9 +30,11 @@
  Snapd-Glib is a library for accessing the snapd daemon.
 
 Package: gir1.2-snapd-1
+Section: introspection
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
+         ${gir:Depends},
          libsnapd-glib1 (= ${binary:Version})
 Description: Typelib file for libsnapd-glib1
  Snapd-Glib is a library for accessing the snapd daemon.
@@ -43,6 +45,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          libsnapd-glib1 (= ${binary:Version}),
+         gir1.2-snapd-1 (= ${binary:Version}),
          libglib2.0-dev,
          libsoup2.4-dev,
          libjson-glib-dev

## snapd-glib 1.24

=== debian/changelog ===
snapd-glib (1.24-1) unstable; urgency=medium

  * Initial release. (Closes: #879894)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Oct 2017 09:59:39 -0400

=== debian/control ===
Source: snapd-glib
Section: libs
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Jeremy Bicha <jbicha@debian.org>,
 Mike Gabriel <sunweaver@debian.org>
Build-Depends: debhelper (>= 10),
               gnome-common,
               gobject-introspection,
               gtk-doc-tools (>= 1.20),
               intltool (>= 0.35.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.46),
               libjson-glib-dev (>= 1.2),
               libpolkit-gobject-1-dev,
               libsoup2.4-dev (>= 2.32),
               qtbase5-dev,
               qtdeclarative5-dev,
               valac
Standards-Version: 4.1.1
Homepage: https://github.com/snapcore/snapd-glib
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/snapd-glib.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/snapd-glib.git

Package: libsnapd-glib1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: snapd,
            snapd-login-service,
Description: GLib snapd library
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.

Package: gir1.2-snapd-1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends},
         libsnapd-glib1 (= ${binary:Version})
Description: Typelib file for libsnapd-glib1
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This package contains introspection data.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libsnapd-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libsnapd-glib1 (= ${binary:Version}),
         gir1.2-snapd-1 (= ${binary:Version}),
         libglib2.0-dev,
         libsoup2.4-dev,
         libjson-glib-dev
Description: GLib snapd library (development files)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This package contains header files and development information, which
 is useful for building applications that need to communicate with snapd.

Package: libsnapd-qt1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: snapd,
            snapd-login-service,
Description: Qt snapd library
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 snapd-qt is a wrapper library for snapd-glib for Qt applications.

Package: qml-module-snapd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: snapd,
            snapd-login-service,
Description: Snapd QML module
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This is a QML module for Qt applications to access snapd.

Package: libsnapd-qt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libsnapd-qt1 (= ${binary:Version}),
         qtbase5-dev,
Description: Qt snapd library (development files)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 snapd-qt is a wrapper library for snapd-glib for Qt applications.
 .
 This package contains the development files.

Package: snapd-login-service
Section: admin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: policykit-1
Description: Daemon to allow non-root access to snapd
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 Snapd Login Service is a daemon that allows users to request authorization from
 snapd. It uses Polkit to check for permissions.

## snapd-glib 1.30

=== debian/changelog ===
snapd-glib (1.30-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 28 Nov 2017 11:54:37 +1300

snapd-glib (1.29-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Nov 2017 16:06:38 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Jeremy Bicha <jbicha@debian.org>,
- Mike Gabriel <sunweaver@debian.org>
+ Mike Gabriel <sunweaver@debian.org>,
+ Robert Ancell <robert.ancell@canonical.com>
 Build-Depends: debhelper (>= 10),
                gnome-common,
                gobject-introspection,

=== debian/rules ===
#!/usr/bin/make -f 

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- --libexec=/usr/lib/snapd-glib --enable-gtk-doc

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

## snapd-glib 1.38

=== debian/changelog ===
snapd-glib (1.38-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Try harder to not build on hurd

  [ Robert Ancell ]
  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 01 Mar 2018 13:41:36 +1300

snapd-glib (1.37-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Don't try to build on hurd (Closes: #882523)

  [ Robert Ancell ]
  * New upstream release
  * snapd-login-service no longer exists, remove binary package
  * Don't build-depend on gnome-common
  * Update symbols (one private one removed)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 27 Feb 2018 10:59:38 +1300

snapd-glib (1.32-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 26 Jan 2018 14:54:20 +1300

## snapd-glib 1.39

=== debian/changelog ===
snapd-glib (1.39-0ubuntu1) bionic; urgency=medium

  * New upstream release:
    - Fix memory leak in QSnapdAssertion
    - Remove cancelled requests from the request queue.
    - Fix SnapdClient reference leak in each request

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Apr 2018 15:11:33 +1200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,11 @@
  Mike Gabriel <sunweaver@debian.org>,
  Robert Ancell <robert.ancell@canonical.com>
 Build-Depends: debhelper (>= 10),
-               gnome-common,
                gobject-introspection,
                gtk-doc-tools (>= 1.20),
-               intltool (>= 0.35.0),
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.46),
                libjson-glib-dev (>= 1.2),
-               libpolkit-gobject-1-dev,
                libsoup2.4-dev (>= 2.32),
                qtbase5-dev,
                qtdeclarative5-dev,
@@ -25,12 +22,11 @@
 Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/snapd-glib.git
 
 Package: libsnapd-glib1
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: snapd,
-            snapd-login-service,
+Recommends: snapd
 Description: GLib snapd library
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.
@@ -41,7 +37,7 @@
 
 Package: gir1.2-snapd-1
 Section: introspection
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${gir:Depends},
@@ -61,7 +57,7 @@
 
 Package: libsnapd-glib-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          libsnapd-glib1 (= ${binary:Version}),
@@ -81,12 +77,11 @@
  is useful for building applications that need to communicate with snapd.
 
 Package: libsnapd-qt1
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: snapd,
-            snapd-login-service,
+Recommends: snapd
 Description: Qt snapd library
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.
@@ -98,11 +93,10 @@
  snapd-qt is a wrapper library for snapd-glib for Qt applications.
 
 Package: qml-module-snapd
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Recommends: snapd,
-            snapd-login-service,
+Recommends: snapd
 Description: Snapd QML module
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.
@@ -115,7 +109,7 @@
 
 Package: libsnapd-qt-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          libsnapd-qt1 (= ${binary:Version}),
@@ -131,20 +125,3 @@
  snapd-qt is a wrapper library for snapd-glib for Qt applications.
  .
  This package contains the development files.
-
-Package: snapd-login-service
-Section: admin
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: policykit-1
-Description: Daemon to allow non-root access to snapd
- snapd-glib is a library to allow GLib based applications access to snapd,
- the daemon that controls Snaps.
- .
- Snaps are 'universal' packages that work across many different Linux
- systems, enabling secure distribution of the latest apps and utilities
- for cloud, servers, desktops and the internet of things.
- .
- Snapd Login Service is a daemon that allows users to request authorization from
- snapd. It uses Polkit to check for permissions.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#!/usr/bin/make -f 
+#!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

## snapd-glib 1.44

=== debian/changelog ===
snapd-glib (1.44-2) unstable; urgency=medium

  * debian/libsnapd-qt1.symbols: Add an optional symbol for mips & mipsel
    (Closes: #909447)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 09 Oct 2018 06:25:37 -0400

snapd-glib (1.44-1) unstable; urgency=medium

  * New upstream release:
    - Reconnect to snapd if disconnected while trying to send the request
    - Handle short writes to snapd

 -- Robert Ancell <robert.ancell@canonical.com>  Sat, 22 Sep 2018 09:28:21 +0400

snapd-glib (1.43-1) unstable; urgency=medium

  * New upstream release:
    - Add SNAPD_ERROR_AUTH_CANCELLED
    - Fix small memory leak
    - Fix compile warnings

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 23 Aug 2018 11:52:29 +1200

snapd-glib (1.42-1) unstable; urgency=medium

  [ Robert Ancell ]
  * New upstream release (Closes: #897866)
    - Fix buffer overflows reading HTTP chunked data (LP: #1740865)
    - Fix memory leak in QSnapdAssertion
    - Remove cancelled requests from the request queue.
    - Fix SnapdClient reference leak in each request
  * Update symbols

  [ Jeremy Bicha ]
  * Update Vcs fields for move to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 09 Aug 2018 17:50:52 -0400

## snapd-glib 1.45

=== debian/changelog ===
snapd-glib (1.45-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debian/libsnapd-qt1.symbols to fix FTBFS (Closes: #923906)

 -- Ivo De Decker <ivodd@debian.org>  Mon, 15 Apr 2019 12:45:37 +0000

snapd-glib (1.45-1) unstable; urgency=medium

  * New upstream release
  * Update symbols

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 06 Dec 2018 10:52:14 +1300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: snapd-glib
 Section: libs
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
 Uploaders:
  Jeremy Bicha <jbicha@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
@@ -18,8 +18,8 @@
                valac
 Standards-Version: 4.1.1
 Homepage: https://github.com/snapcore/snapd-glib
-Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/snapd-glib.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/snapd-glib.git
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/snapd-glib.git
+Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/snapd-glib
 
 Package: libsnapd-glib1
 Architecture: linux-any kfreebsd-any

=== debian/watch ===
version=4
https://github.com/snapcore/snapd-glib/releases .*/snapd-glib-([0-9.]+)\.tar\.xz

## snapd-glib 1.47

=== debian/changelog ===
snapd-glib (1.47-0ubuntu2) disco; urgency=medium

  * debian/snapd-glib-tests.install:
    - Add missing file

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 28 Mar 2019 11:39:38 +1300

snapd-glib (1.47-0ubuntu1) disco; urgency=medium

  * New upstream release (LP: #1818766)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 06 Mar 2019 15:31:28 +1300

snapd-glib (1.46-0ubuntu1) disco; urgency=medium

  * New upstream release (LP: #1818595)
    - New API:
      - snapd_channel_get_released_at
      - SNAPD_ERROR_DNS_FAILURE
    - Fix tests breaking due to undefined order of results
  * debian/rules:
    - Build with --enable-installed-tests
  * debian/tests/control:
  * debian/tests/unit:
  * debian/snapd-glib-tests.install:
    - Add autopkg tests
  * debian/libsnapd-glib-dev.install:
  * debian/libsnapd-qt-dev.install:
    - Fix Qt .pc file being in wrong package
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 05 Mar 2019 16:32:23 +1300

=== debian/control ===
--- 
+++ 
@@ -125,3 +125,19 @@
  snapd-qt is a wrapper library for snapd-glib for Qt applications.
  .
  This package contains the development files.
+
+Package: snapd-glib-tests
+Architecture: linux-any kfreebsd-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Description: GLib snapd library (installed tests)
+ snapd-glib is a library to allow GLib based applications access to snapd,
+ the daemon that controls Snaps.
+ .
+ Snaps are 'universal' packages that work across many different Linux
+ systems, enabling secure distribution of the latest apps and utilities
+ for cloud, servers, desktops and the internet of things.
+ .
+ This package contains test programs, designed to be run as part of a
+ regression testsuite.
